#import "HellokitPlugin.h"

@implementation HellokitPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"hellokit"
            binaryMessenger:[registrar messenger]];
  HellokitPlugin* instance = [[HellokitPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else {
    result(FlutterMethodNotImplemented);
  }
    
    NSString *name = call.method;
    if ([name isEqualToString:@"say"]) {
        [[LSZKit sharedKit] sayHello];
    }
}


@end
